Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRearrangeFields::Operation Struct Reference

`#include <vtkRearrangeFields.h>`

List of all members.

## Public Methods

| Operation ()
| ~Operation ()

## Public Attributes

int | OperationType
int | FieldType
char * | FieldName
int | AttributeType
int | FromFieldLoc
int | ToFieldLoc
int | Id
Operation * | Next

## Constructor & Destructor Documentation

vtkRearrangeFields::Operation::Operation | ( |  | ) | `[inline]`

| Definition at line 177 of file vtkRearrangeFields.h.

vtkRearrangeFields::Operation::~Operation | ( |  | ) | `[inline]`

| Definition at line 178 of file vtkRearrangeFields.h.

## Member Data Documentation

int vtkRearrangeFields::Operation::OperationType

| Definition at line 169 of file vtkRearrangeFields.h.

int vtkRearrangeFields::Operation::FieldType

| Definition at line 170 of file vtkRearrangeFields.h.

char* vtkRearrangeFields::Operation::FieldName

| Definition at line 171 of file vtkRearrangeFields.h.

int vtkRearrangeFields::Operation::AttributeType

| Definition at line 172 of file vtkRearrangeFields.h.

int vtkRearrangeFields::Operation::FromFieldLoc

| Definition at line 173 of file vtkRearrangeFields.h.

int vtkRearrangeFields::Operation::ToFieldLoc

| Definition at line 174 of file vtkRearrangeFields.h.

int vtkRearrangeFields::Operation::Id

| Definition at line 175 of file vtkRearrangeFields.h.

Operation* vtkRearrangeFields::Operation::Next

| Definition at line 176 of file vtkRearrangeFields.h. Referenced by vtkRearrangeFields::GetNextOperation().

The documentation for this struct was generated from the following file:

- Graphics/vtkRearrangeFields.h